nl.tudelft.simulation.dsol.tutorial.section44

## Class Model

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.section44.Model

All Implemented Interfaces:
  Serializable, nl.tudelft.simulation.dsol.DSOLModel<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>

    public class Model
    extends Object
    implements nl.tudelft.simulation.dsol.DSOLModel<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>

BallModel, the ball example in 3D
copyright (c) 2002-2018 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: Lesser General Public License (LGPL) , no warranty.

Version:
  1.0 10.05.2004
Author:
  Roy Chin
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface nl.tudelft.simulation.dsol.DSOLModel

`nl.tudelft.simulation.dsol.DSOLModel.CalendarDouble, nl.tudelft.simulation.dsol.DSOLModel.CalendarFloat, nl.tudelft.simulation.dsol.DSOLModel.CalendarLong, nl.tudelft.simulation.dsol.DSOLModel.TimeDouble, nl.tudelft.simulation.dsol.DSOLModel.TimeDoubleUnit, nl.tudelft.simulation.dsol.DSOLModel.TimeFloat, nl.tudelft.simulation.dsol.DSOLModel.TimeFloatUnit, nl.tudelft.simulation.dsol.DSOLModel.TimeLong`

### Constructor Summary

Constructors
Constructor and Description
`Model()` Constructs new BallModel.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `constructModel(nl.tudelft.simulation.dsol.simulators.SimulatorInterface<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble> pSimulator)`
`nl.tudelft.simulation.dsol.simulators.SimulatorInterface.TimeDouble` `getSimulator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Model

    public Model()

Constructs new BallModel.

### Method Detail

#### constructModel

    public void constructModel(nl.tudelft.simulation.dsol.simulators.SimulatorInterface<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble> pSimulator)
                        throws nl.tudelft.simulation.dsol.SimRuntimeException

Specified by:
  `constructModel` in interface `nl.tudelft.simulation.dsol.DSOLModel<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>`
Throws:
  `nl.tudelft.simulation.dsol.SimRuntimeException`

#### getSimulator

    public nl.tudelft.simulation.dsol.simulators.SimulatorInterface.TimeDouble getSimulator()

Specified by:
  `getSimulator` in interface `nl.tudelft.simulation.dsol.DSOLModel<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>`
Returns:
  the simulator